using System;
using System.Collections.Generic;
using System.Linq.Expressions;
using System.Threading;
using Wierszowki.Core.Linq;
using Wierszowki.Services.Interfaces;
using xVal.ServerSide;

namespace Wierszowki.Tests
{
    public class TestUserService : IUserService
    {

        public bool ShouldThrowValidationException { get; set; }
        readonly ErrorInfo _errorInfo = new ErrorInfo("LastName", "Test");

        public bool LoginUser(string login, string password)
        {
            throw new NotImplementedException();
        }

        public void Create(User user)
        {
            var errorInfos = new List<ErrorInfo> {_errorInfo};
            if (ShouldThrowValidationException)
                throw new RulesException(errorInfos);
        }

        public void Update(User user)
        {
            throw new NotImplementedException();
        }

        public void Delete(User user)
        {
            throw new NotImplementedException();
        }

        public User Find(int id)
        {
            throw new NotImplementedException();
        }

        public User FindOne(int id)
        {
            throw new NotImplementedException();
        }

        public User FindOne(Expression<Func<User, bool>> expression)
        {
            throw new NotImplementedException();
        }

        public IList<User> FindAll()
        {
            throw new NotImplementedException();
        }
    }
}